import geoespace;

currentprojection=perspective(5,4,3);
size(5cm);

real a=1;
real h=2;
real k=0.4;

shape pyra;
pyra[0]=(a,a,0)--(a,-a,0)--(-a,-a,0)--(-a,a,0)--cycle;
pyra[1]=(k*a,k*a,h)--(k*a,-k*a,h)--(-k*a,-k*a,h)--(-k*a,k*a,h)--cycle;
pyra[2]=(a,a,0)--(a,-a,0)--(k*a,-k*a,h)--(k*a,k*a,h)--cycle;
pyra[3]=(a,a,0)--(-a,a,0)--(-k*a,k*a,h)--(k*a,k*a,h)--cycle;
pyra[4]=(-a,a,0)--(-a,-a,0)--(-k*a,-k*a,h)--(-k*a,k*a,h)--cycle;
pyra[5]=(-a,-a,0)--(a,-a,0)--(k*a,-k*a,h)--(-k*a,-k*a,h)--cycle;


insertscene(pyra,lightblue,blue*0.8);
trace();

triple[]p=sommet(pyra);
//nomme les sommets de 0 à 3 (4 exclu)
nomme(p[:4],sest,"$A$","$B$","$C$","$D$");
//nomme les sommets à partir de 4
nomme(p[4:],nouest,"$E$","$F$","$G$","$H$");
